package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF1H1 extends MwfRequest<MWF1H1, MWF1H1Response> {

    @Parameter(name = "CNL_ID")
    MWF1H1 cnlId(String cnlId);
    @Parameter(name = "CONSULTANT_EMPR_ICO")
    MWF1H1 consultantEmprIco(String consultantEmprIco);
    @Parameter(name = "CONSULTANT_EMPR_NAME")
    MWF1H1 consultantEmprName(String consultantEmprName);
    @Parameter(name = "CONSULTANT_ID")
    MWF1H1 consultantId(String consultantId);
    @Parameter(name = "CONSULTANT_MTS_ID")
    MWF1H1 consultantMtsId(String consultantMtsId);
    @Parameter(name = "DOC_INST_KEY")
    MWF1H1 docInstKey(Long docInstKey);
    @Parameter(name = "EMP_PROCESS_ROLE_ID")
    MWF1H1 empProcessRoleId(String empProcessRoleId);
    @Parameter(name = "EMP_ROLE_ID")
    MWF1H1 empRoleId(String empRoleId);
    @Parameter(name = "EMP_ROLE_KEY")
    MWF1H1 empRoleKey(Long empRoleKey);
    @Parameter(name = "EMP_SSO")
    MWF1H1 empSso(String empSso);
    @Parameter(name = "FAMILY_NAME")
    MWF1H1 familyName(String familyName);
    @Parameter(name = "FIRST_NAME")
    MWF1H1 firstName(String firstName);
    @Parameter(name = "POS_ID")
    MWF1H1 posId(String posId);
    @Parameter(name = "PRIM_FLAG")
    MWF1H1 primFlag(Long primFlag);
    @Parameter(name = "PRODPKG_KEY")
    MWF1H1 prodpkgKey(Long prodpkgKey);
    @Parameter(name = "SALESMAN_STAMP_FLAG")
    MWF1H1 salesmanStampFlag(Long salesmanStampFlag);
}
